
Redmine - Defect #11343

I'm solved svn connect https protocl

2012-07-08 09:01 - 인혁 최

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.0.3

Description

svn https protocol connect fail..

So I'm solved this problem

/lib/redmine/scm/adapters/subversion_adapter.rb

fix that's line

str << " --no-auth-cache --non-interactive"

to

str << " --no-auth-cache --non-interactive --trust-server-cert"

Only that fix that svn connect is success

please edit that's line

Related issues:

Is duplicate of Redmine - Defect #5236: Can't browse SVN of private project w... New 2010-04-02

History

#1 - 2017-06-28 17:57 - Toshi MARUYAMA

- Category set to SCM

- Status changed from New to Closed

- Resolution changed from Wont fix to Duplicate

Duplicate of #5236.

#2 - 2017-06-28 17:57 - Toshi MARUYAMA

- Is duplicate of Defect #5236: Can't browse SVN of private project w/o giving a login and pass in settings added
